=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-interactive-markers, ros-melodic-moveit-ros-planning, ros-melodic-roscpp, ros-melodic-rosunit, ros-melodic-tf2, ros-melodic-tf2-eigen, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
+Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-interactive-markers, ros-melodic-moveit-ros-planning, ros-melodic-roscpp, ros-melodic-rosunit <!nocheck>, ros-melodic-tf2, ros-melodic-tf2-eigen, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
 Homepage: http://moveit.ros.org
 Standards-Version: 3.9.2
